X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

When will Firefox 12 be compatible with Garmin Lifetime Udater

Posted

The Firefox 12 s/w update reminder says that the Garmin Lifetime Updater will be disabled when I download the new Firefox 12 and that Firefox will be fixed for this problem at a later date. When is that?

Additional System Details

Installed Plug-ins

  • np-mswmp
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 11.4 r402
  • RealJukebox Netscape Plugin
  • Google Update
  • iTunes Detector Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.4
  • Picasa plugin
  • Garmin Communicator Plug-In 4.0.1.0
  • GEPlugin
  • Coupons, Inc. Coupon Printer Plugin
  • Coupons, Inc. Coupon Printer DLL
  • E-centives Coupon Activator
  • Java(TM) Platform SE binary
  • DRM Netscape Network Object
  • DRM Store Netscape Plugin
  • Npdsplay dll

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

More Information

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

hello jmoretti, mozilla is not responsible for the compatibility of third-party addons - so please contact garmins's support to find out if/when there's an update available for their product... though their website states that there's "No web browser required" for this product, so the stand-alone product will likely continue to work anyway (just the integration into firefox will be disabled). http://www8.garmin.com/support/lifetime_updater.html

please also Update Firefox to the latest version available (firefox 16.0.2 at the moment) in order to stay safe on the web.

Modified by philipp

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6641 answers

Update to Firefox 16.0.2. Update Firefox to the latest version. Firefox 9 is extremely old and out of date (insecure). After doing that, update your garmin software